Subject: Re: [PATCH v4] transport-helper, connect: use clean_on_exit to reap children on abnormal exit

From: Jeff King <[email-masked]>
Date: Mon, 16 Mar 2026 17:19:34 -0400

On Mon, Mar 16, 2026 at 01:31:08PM -0700, Junio C Hamano wrote:

> Regardless of where it goes, we need to change a bit more, it seems?
> 
>     CC transport.o
> transport.c: In function 'transport_color_config':
> transport.c:57:62: error: passing argument 3 of 'repo_config_get_string_tmp' from incompatible pointer type [-Wincompatible-pointer-types]
>    57 |         if (!repo_config_get_string_tmp(the_repository, key, &value))
>       |                                                              ^~~~~~
>       |                                                              |
>       |                                                              char **

Huh. Obviously yes, but how did I manage to bungle this so badly?

I _think_ what happened is that I compiled the topic without -Werror,
because of all of the -Wdiscarded-qualifier errors that happen on
'master' with a recent glibc.

My integration cycle would have caught it, since I have another topic
with fixes for the discarded-qualifier issue. But I hadn't run one yet. ;)

None of that is important for you, but just wondering if there was
something more subtle going on, or if I just screwed up something as
simple as typing 'make'.

> I'll squash an obvious patch in.

Yep, that looks good. Thanks for fixing.

-Peff